// Copyright (C) 2008, 2009 by Thomas Moulard, CNRS.
//
// This file is part of the hpp-util.
//
// This software is provided "as is" without warranty of any kind,
// either expressed or implied, including but not limited to the
// implied warranties of fitness for a particular purpose.
//
// See the COPYING file for more information.

#ifndef HPP_CORBASERVER_CONFIG_HH
# define HPP_CORBASERVER_CONFIG_HH
# include <hpp/util/portability.hh>

# ifdef HPP_CORBASERVER_STATIC
// If one is using the library statically, get rid of
// extra information.
#  define HPP_CORBASERVER_DLLAPI
#  define HPP_CORBASERVER_LOCAL
# else
// Depending on whether one is building or using the
// library define DLLAPI to import or export.
#  ifdef BUILDING_HPP_CORBASERVER
#   define HPP_CORBASERVER_DLLAPI HPP_DLLEXPORT
#  else
#   define HPP_CORBASERVER_DLLAPI HPP_DLLIMPORT
#  endif // BUILDING_HPP_CORBASERVER
#  define HPP_CORBASERVER_LOCAL HPP_DLLLOCAL
# endif // HPP_CORBASERVER_STATIC
#endif //! HPP_CORBASERVER_CONFIG_HH
